package ru.yandex.webmaster3.core.worker.task.async;

import java.util.UUID;

import ru.yandex.webmaster3.core.worker.task.WorkerTaskData;
import ru.yandex.webmaster3.core.worker.task.WorkerTaskPriority;

/**
 * @author: ishalaru
 * DATE: 17.05.2019
 */
public abstract class AsyncWorkerTaskData extends WorkerTaskData {
    private final UUID requestId;

    public AsyncWorkerTaskData(UUID requestId) {
        super(requestId, null, WorkerTaskPriority.HIGH);
        this.requestId = requestId;

    }

    public UUID getRequestId() {
        return requestId;
    }


}

